Copyright: Copyright © 1997 RealSoft


AutoClear Property

Declaration

property AutoClear : Boolean

Description

The AutoClear property of the TrsFlyoverButton when set to true, erases the background before

repainting glyphs.  This property should be set to false only to avoid flickering on large 256 color

glyphs.


AutoPopMenu Property

Declaration

property AutoPopMenu : Boolean

Description

If the AutoPopMenu property of the TrsFlyoverButton is set to true, when the button is clicked the

Popup menu stored in the PopUpMenu property is shown.  If this property is set to false the menu

can be manually popped using the OnClick method.


Caption Property

Declaration

property Caption : String

Description

The Caption of the TrsFlyoverButton sets the text that the button will show.


Enabled Property

Declaration

property Enabled : Boolean

Description

The Enbled property of the TrsFlyoverButton allows the component to be disbled.  When the button

is Disbaled the glyph in the GlyphDisabled is used.


GlyphActive Property

See also

Declaration

property GlyphActive : TBitmap

Description

The GlyphActive property of the TrsFlyoverButton is shown when the Glyph is activated, when the

component is being "flown" over.  If there is no glyph set in the GlyphInActive property then the

default then the GlyphActive Glyph will be used.


GlyphDisabled Property

See also

Declaration

property GlyphDisabled : TBitmap

Description

The GlyphDisabled property of the TrsFlyoverButton is shown when the Enabled property is set to

false. If there is no glyph set in the GlyphDisbled property, then the glyph in the GlyphInActive

property is used.


GlyphInActive Property

See also

Description

property GlyphInActive : TBitmap

Declaration

The GlyphInActive property of the TrsFlyoverButton is shown when the Glyph is not activated, when

the component is not being "flown" over.  If there is no glyph set in the GlyphDisbled property, then

the glyph in the GlyphInActive property is used.  If there is no glyph in the GlyphInActive property

then the GlyphActive glyph is used when the component is not activated.


Layout Property

Declaration

property Layout : TButtonLayout

Description

The layout property of the TrsFlyoverButton designates the postion of the glyph relative to the

position of the caption.


OnFlyOver Event

Declaration

property OnFlyOver : TNotifyEvent

Description

The OnFlyOver event of the TrsFlyoverButton occurs when the mouse cursor enters the component.


OnHoldDown Event

Declaration

property OnHoldDown : TNotifyEvent

Description

The OnHoldDown event of the TrsFlyoverButton occurs when the button is held down.  A repeating

OnClick event is triggered.


OnPopup Event

Declaration

property OnPopup : TNotifyEvent

Description

The OnPopup event of the TrsFlyoverButton occurs when the PopUpMenu of the rsFlyoverButton is

shown.


PopUpMenu Property

Declaration

property PopUpMenu: TPopUpMenu

Description

The PopUpMenu property of the TrsFlyoverButton allows a Popup Menu to be linked into the

rsFlyoverButton that will pop during the OnPopUp Event.


Registering the trial version

If you are evaluating a trial edition of this product,

you may register on Compuserve, or the internet.

Source code for components is always included.

Product: TrsFlyOver

Price (US): $25.00

CIS Reg: 14095


See also

GlyphActive

GlyphDisabled


See also

GlyphInActive

GlyphDisabled


See also

GlyphActive

GlyphInActive


Spacing Property

Declaration

property Spacing : smallint

Description

The Spacing property of the TrsFlyoverButton designates the space between the Glyph and the

Caption.


TButtonLayout

See TButtonLayout in Delphi Help


TrsFlyOverButton Component

Properties	Events

Unit

rsFlyovr

Description

The TrsFlyoverButton component is Windows 97 style button that is activated when the mouse is passed over it. By adding different glyphs in the GlyphActive ,  GlyphInActive  and GlyphDisabled properties, the button can appear to "light up" as the mouse cursor flies over the component.

In addition, by adding popup menus in the PopUpMenu property additional features can be accessed. This button has also been called the "Explorer Button" because it resembles the Windows95 Internet Explorer buttons.

Registering the trial version

Copyright 1997 RealSoft Development

Support: www.realsoftdev.com


Events

OnClick

OnDblClick

OnFlyOver

OnHoldDown

OnMouseDown

OnMouseMove

OnMouseUp

OnPopup


Properties

AutoClear

AutoPopMenu

Caption

Enabled

GlyphActive

GlyphDisabled

GlyphInActive

Layout

PopUpMenu

Spacing